Subject: stateid per lock or per lockowner

From: [email-masked]
Date: Sun, 28 Jul 2002 13:32:59 -0400 (EDT)

This one sounds pretty basic, but I think I have it wrong, so I thought I'd
check.

I currently have coded the server so that every lock has a separate stateid.
(In other words, is a given lockowner gets multiple locks on the same file,
 they are issued different stateids.)

I've noticed that 8.1.3 describes a stateid as a shorthand for a lockowner,
which would indicate that there could be multiple locks on one or more files
that get the same stateid. Is this correct. (I vaguely recall an email that
seemed to describe a stateid as referring to an individual lock held by a
lockowner, which was why I ended up doing that.)

Anyhow, thanks for clarification on what a stateid refers to, rick